INKSCAPE(1)

NOMBRE
Inkscape - un programa editor de SVG (Gráficos Vectoriales Escalables).

SINOPSIS
"inkscape [opciones] [archivo1 archivo2 ...]"

opciones:

    -?, --help
        --help-all
        --help-gapplication
        --help-gtk

    -V, --version
        --debug-info
        --system-data-directory
        --user-data-directory

    -p, --pipe
    -n, --pages=PAGINA[,PAGINA]
        --pdf-poppler
        --convert-dpi-method=METODO
        --no-convert-text-baseline-spacing

    -o, --export-filename=NOMBRE_ARCHIVO
        --export-overwrite
        --export-type=TIPO[,TIPO]*
        --export-extension=ID-EXTENSION

    -C, --export-area-page
    -D, --export-area-drawing
    -a, --export-area=x0:y0:x1:y1
        --export-area-snap
    -d, --export-dpi=PPP
    -w, --export-width=ANCHO
    -h, --export-height=ALTO
        --export-margin=MARGEN

        --export-page=all|n[,a-b]
    -i, --export-id=ID-OBJETO[;ID-OBJETO]*
    -j, --export-id-only
    -l, --export-plain-svg
        --export-png-color-mode=MODOCOLOR
        --export-png-compression=NIVEL
        --export-png-antialias=NIVEL
        --export-png-use-dithering=BOOLEANO
        --export-ps-level=NIVEL
        --export-pdf-version=VERSION
    -T, --export-text-to-path
        --export-latex
        --export-ignore-filters
    -t, --export-use-hints
    -b, --export-background=COLOR
    -y, --export-background-opacity=VALOR

    -I, --query-id=ID-OBJETO[,ID-OBJETO]*
    -S, --query-all
    -X, --query-x
    -Y, --query-y
    -W, --query-width
    -H, --query-height

        --vacuum-defs
        --select=ID-OBJETO[,ID-OBJETO]*
        --actions=ACCION(:ARG)[;ACCION(:ARG)]*
        --action-list
        --actions-file=NOMBRE_ARCHIVO

    -g, --with-gui
    -q, --active-window
        --display=DISPLAY
        --app-id-tag=ETIQUETA
        --batch-process
        --shell

DESCRIPCIÓN
Inkscape es un editor de gráficos vectoriales de código libre y abierto. Ofrece un amplio conjunto de funciones y se usa ampliamente para ilustraciones artísticas y técnicas, como dibujos animados, imágenes prediseñadas, logotipos, tipografía, diagramas y diagramas de flujo. Utiliza gráficos vectoriales para obtener impresiones y renderizados nítidos con una resolución ilimitada y no está limitado a un número fijo de píxeles como los gráficos rasterizados. Inkscape utiliza el formato de archivo estandarizado SVG como formato principal, compatible con muchas otras aplicaciones, incluidos navegadores web.

La interfaz está diseñada para ser cómoda y eficiente para usuarios expertos, a la vez que cumple con los estándares GNOME para que los usuarios familiarizados con otras aplicaciones GNOME puedan aprender su interfaz rápidamente.

SVG es un formato estándar de W3C para dibujos vectoriales en 2D. Permite definir objetos en el dibujo mediante puntos, trayectos y formas primitivas. Los colores, fuentes tipográficas, anchura de trazo, etc/ se indican mediante atributos de 'estilo' a estos objetos. La intención es que, puesto que SVG es un estándar, y ya que los archivos son texto/xml, sea posible usar archivos SVG en un número importante de programas y para un amplio rango de utilidades.

Inkscape utiliza SVG como su formato de documento nativo y tiene el objetivo de ser el programa de dibujo más conforme para archivos SVG disponible en la comunidad de código abierto.

OPCIONES

-?, --help
    Muestra un mensaje de ayuda.

--help-all
    Muestra todas las opciones de ayuda.

--help-gapplication
    Muestra las opciones de GApplication.

--help-gtk
    Muestra las opciones GTK+.

-V, --version
    Muestra la versión y fecha de compilación de Inkscape.

--debug-info
    Imprime información técnica, incluyendo la versión de Inkscape, las versiones de las dependencias y el sistema operativo. Esta información es útil para depurar problemas con Inkscape y debe incluirse al presentar un informe de errores.

--system-data-directory
    Imprime el directorio de datos del sistema donde se almacenan los archivos de datos incluidos con Inkscape. Esto incluye los archivos necesarios para el funcionamiento de Inkscape (como definiciones de unidades, mapas de teclas integrados, archivos que describen el diseño de la interfaz de usuario, temas de iconos, etc.), extensiones principales, recursos disponibles (filtros, fuentes, marcadores, paletas de colores, símbolos, plantillas) y documentación (archivos SVG de ejemplo y tutoriales).

    El lugar en el que Inkscape espera que esté el directorio de datos del sistema. Se puede sobrescribir con la variable de entorno INKSCAPE_DATADIR.

--user-data-directory
    Imprime el directorio del perfil de usuario en el que se almacenan los archivos de datos y las preferencias del usuario. Las extensiones y recursos personalizados (filtros, fuentes, marcadores, paletas de color, símbolos, plantillas) se deberán instalar en sus respectivos subdirectorios en este directorio. Además, al colocar un archivo con un nombre idéntico a otro que está en el directorio de datos del sistema, los valores de éste sobrescribirán a los predefinidos en el directorio de datos del sistema (p.ej. plantilla predeterminadas, archivo de intefaz gráfica, etc.).

    El lugar predeterminado del directorio de perfil de usuario. Se puede sobrescribir con la variable de entorno INKSCAPE_PROFILE_DIR.

-p, --pipe
    Lee un archivo de entrada desde la entrada estándar (stdin).

--pages=PAGINA
    Importa la lista de páginas dadas, separadas por coma, de un PDF o archivo multipágina SVG.

    Esto reemplaza --pdf-page de versiones anteriores de Inkscape.

--pdf-poppler
    Inkscape, de forma predeterminada, importa PDFs a través de una biblioteca interna (derivada de poppler). El texto se almacena como text. Las mallas se convierten en teselas. Utilice --pdf-poppler para importar mediante una biblioteca externa (poppler on un motor cairo). El texto consiste de grupos que contienen glifos clonados en los que cada glifo es un trayecto. Las imágenes se almacenan internamente, Las mallas causarán que el documento entero se renderice como una imagen rasterizada.

--convert-dpi-method=MÉTODO
    Indica el método utilizado para escalar archivos antiguos (pre 0.92) que se renderizan ligeramente más pequeños debido al cambio de 90 PPP a 96 PPP en la interpretación de la longitudes expresadas en píxel. Los valores posibles son: "none" (sin cambio, el documento se generará al 94% de su tamaño original), "scale-viewbox" (el documento se escalará completamente, las longitudes individuales permanecen intactas) y "scale-document" (cada longitud se escala individualmente).

--no-convert-text-baseline-spacing
    No corregir automáticamente las líneas base de los textos al abrir archivos antiguos (pre-0.92). Inkscape 0.92 adopta la definición estándar de CSS para la propiedad 'line-height', que es diferente delas versiones anteriores. De forma predeterminada, los valores de altura de línea en archivos creados en versiones de Inkscape anteriores a 0.92 se ajustarán en el momento de apertura para conservar la disposición prevista. Esta opción de línea de comandos se salta este ajuste.

-o, --export-filename=NOMBRE_ARCHIVO
    Fija el nombre del archivo de salida. El valor predeterminado es reutilizar el nombre del archivo de entrada. Si también se usa --export-type, la extensión del archivo se ajustará (o añadirá) según corresponda. De lo contrario, el tipo de archivo a exportar se inferirá de la extensión del nombre de archivo especificado.

    El uso del nombre de archivo especial "-" hace que Inkscape escriba los datos de la imagen en la salida estándar (stdout).

--export-overwrite
    Sobrescribe el archivo de entrada.

--export-type=TIPO[,TIPO]*
    Especifica el tipo de archivo a exportar. Valores posibles: SVG, PNG, PS, EPS, PDF, EMF, WMF y cualquier tipo de archivo para el que exista una extensión de exportación. Es posible exportar más de un tipo de archivo a la vez.

    Fíjese en que PostScript no permite transparencia, por lo que los objetos transparentes en el archivo SVG original se rasterizarán automáticamente. Las fuentes utilizadas serán incrustadas en el documento. El área exportada predeterminada es la página, puede ajustarlo para que sea el dibujo con --export-area-drawing.

    Tenga en cuenta que el formato PDF conserva la transparencia del SVG original.

--export-extension=EXTENSION-ID
    Permite especificar la extensión de salida que se usará para la exportación, lo cual es especialmente relevante si hay más de una opción de exportación para un tipo de archivo determinado. Si se configura, se puede omitir la extensión de archivo en --export-filename y --export-type. Además, si se configura, solo se puede especificar un tipo de archivo en --export-type.

-C, --export-area-page
    En SVG, PNG, PDF y PS, el área exportada es la página. Esta es la opción predeterminada para SVG, PNG, PDF y PS, por lo que no es necesario especificarla a menos que utilice --export-id para exportar un objeto específico. Actualmente, esta opción no es compatible con EPS.

-D, --export-area-drawing
    Para la exportación a SVG, PNG, PDF, PS y EPS, el área exportada es el dibujo (no la página), por ejemplo, la caja de contorno de todos los objetos del documento (o del objeto exportado si se utiliza --export-id). Con esta opción la imagen exportada mostrará todos los objetos visibles del documento sin márgenes ni recortes. Esto es el modo de exportación predeterminado para EPS. Para PNG, se puede usar en combinación con --export-use-hints.

-a x0:y0:x1:y1, --export-area=x0:y0:x1:y1
    En la exportación PNG, configura el área exportada del documento, indicada en px (1/96 pulg.). De forma predeterminado se exporta toda la página del documento. El punto (0,0) es la esquina inferior izquierda.

--export-area-snap
    Para exportar PNG, ajuste el área de exportación hacia afuera al valor entero de px más cercano. Si utiliza la resolución de exportación predeterminada de 96 ppp y sus gráficos están ajustados a píxeles para minimizar el antialiasing, esta opción le permite conservar esta alineación incluso si exporta el cuadro delimitador de algún objeto (con --export-id o --export-area-drawing) que no está alineado a píxeles.

-d PPP, --export-dpi=PPP
    La resolución utilizada para la exportación a PNG. También se utiliza para la rasterización de objetos filtrados cuando se exporta a PS, EPS o PDF (a no ser que indique --export-ignore-filters para evitar la rasterización). El valor predeterminado es 96 ppp, lo que corresponde a 1 unidad de usuario SVG (px, también llamada "unidad de usuario") exportada a 1 píxel de mapa de bits. Este valor sobrescrito la pista de PPP si se utiliza con --export-use-hints.

-w ANCHURA, --export-width=ANCHURA
    La anchura en píxeles de la imagen generada. Este valor sobrescribe el parámetro --export-dpi (o la pista PPP si se usa con --export-use-hints).

-h ALTURA, --export-height=ALTURA
    La altura en píxeles de la imagen generada. Este valor sobrescribe el parámetro --export-dpi (o la pista PPP si se usa con --export-use-hints).

--export-margin=MARGEN
    Añade un margen alrededor del área de exportación. El tamaño del margen se indica en unidades de tamaño de página (para SVG) o milímetros (para PS/EPS/PDF). Por ahora esta opción no tiene efecto en otros formatos de exportación.

-i ID, --export-page=all|n[,a-b]*
    Exporta solo las páginas seleccionadas. Si se especifica más de una página, el documento resultante puede contener varias páginas si el formato lo permite.

    El valor puede ser una lista de números de página separados por comas o un rango de páginas de dos números separados por un guion. La palabra clave "all" puede usarse para indicar que se exportarán todas las páginas.

-i ID, --export-id=ID-OBJETO[;ID-OBJETO]*
    Para la exportación a PNG, PS, EPS, PDF y SVG simple valor del atributo id del objeto que desea exportar del documento; ninguno de los demás objetos se exportará. De forma predeterminada el área de exportación es la caja de contorno del objeto; puede sobrescribirlo mediante --export-area (sólo PNG) o --export-area-page.

    Si especifica muchos valores con una lista de objetos separados por punto y coma, cada uno se exportará por separado. En este caso, los archivos exportados se denominarán de esta manera: [archivo _de_entrada]_[ID].[tipo_exportacion]

-j, --export-id-only
    Para exportar archivos PNG, PS, EPS, PDF y SVG simple, exporte solo el objeto cuyo ID se especifica en --export-id. Los demás objetos se ocultan y no se muestran en la exportación, incluso si se superponen al objeto exportado. Sin --export-id, esta opción se ignora.

-l, --export-plain-svg
    Exporta documentos en formato SVG simple, sin espacios de nombres sodipodi: o inkscape: y sin metadatos RDF. Utilice la opción --export-filename para indicar el nombre del archivo.

--export-png-color-mode=MODOCOLOR
    Establece el modo de color (profundidad de bits y tipo de color) para los mapas de bits exportados (Gray_1/Gray_2/Gray_4/Gray_8/Gray_16/RGB_8/RGB_16/GrayAlpha_8/GrayAlpha_16/RGBA_8/RGBA_16)

--export-png-compression=NIVEL
    Establece el nivel de compresión para la exportación PNG (0 a 9); predet. es 6.

--export-png-antialias=NIVEL
    Establece el nivel de antialiasing para la exportación PNG (0 a 3); predet. es 2.

--export-png-use-dithering=false|true
    Fuerza el tramado o lo deshabilita (la compilación de Inkscape debe admitir el tramado para esto).

--export-ps-level=NIVEL
    Establece la versión de idioma para la exportación a PS y EPS. Se admite PostScript nivel 2 o 3. El valor predeterminado es 3.

--export-pdf-version=VERSION-PDF
    Selecciona la versión de PDF del archivo PDF exportado. Esta opción muestra el selector de versiones PDF del diálogo de exportación de la interfaz gráfica. Debe proporcionar una de las versiones de esa lista, p.ej. "1.4". La versión predeterminada es "1.4".

-T, --export-text-to-path
    Convierte objetos de texto en trayectos al exportar, según sea necesario (para exportación a PS, EPS, PDF y SVG).

--export-latex
    (Para exportación a PS, EPS y PDF) Se utiliza para crear imágenes para documentos LaTeX, donde el texto de la imagen se compone con LaTeX. Al exportar a formato PDF/PS/EPS, esta opción divide la salida en un archivo PDF/PS/EPS (p. ej., según lo especificado por --export-type) y un archivo LaTeX. El texto no se mostrará en el archivo PDF/PS/EPS, sino en el archivo LaTeX. Este archivo LaTeX incluye el PDF/PS/EPS. Al introducir (\input{image.tex}) el archivo LaTeX en el documento LaTeX, se mostrará la imagen y todo el texto se compondrá con LaTeX. Consulte el archivo LaTeX resultante para obtener más información. Consulte también la terminal de salida `epslatex' de GNUPlot.

--export-ignore-filters
    Exporta objetos con filtro (p.ej. los que están difuminados) como vectores, ignorando los filtros (para exportación a PS, EPS, PDF y SVG). De forma predeterminada todos los objetos con filtro se rasterizan a --export-dpi (predet. 96 ppp), para conservar el aspecto.

-t, --export-use-hints
    Al exportar a PNG, utilice el nombre del archivo de exportación y las sugerencias de DPI almacenadas en el objeto exportado (solo con --export-id). Estas sugerencias se configuran automáticamente al exportar la selección desde Inkscape. Por ejemplo, si exporta una forma con id="path231" como /home/yo/forma.png a 300 ppp desde documento.svg mediante la interfaz gráfica de Inkscape y guarda el documento, podrá volver a exportar esa forma al mismo archivo con la misma resolución simplemente con

        inkscape -i path231 -t documento.svg

    Si utiliza --export-dpi, --export-width o --export-height con esta opción, la suegerncia PPP será ignorada y se utilizará el valor indicado en la línea de comandos. Si utiliza --export-filename con esta opción, se ignorará la pista del nombre de archivo y se usará el nombre de archivo indicado en la línea de comandos.

-b COLOR, --export-background=COLOR
    El color de fondo de una imagen PNG exportada. Esto puede ser cualquier cadena de color reconocida por SVG, por ejemplo "#ff007f" o "rgb(255, 0, 128)". Si esta opción no está marcada, se usará el color de página fijada en el diálogo de "Propiedades del documento" (almacenado en el atributo pagecolor= de sodipodi:namedview).

-y VALOR, --export-background-opacity=VALOR
    La opacidad del fondo de la imagen PNG exportada. Esto puede ser un valor entre 0,0 y 1,0 (siendo 0,0 transparencia completa, y 1,0 opacidad completa) o entre 1 y 255 (siendo 255 opacidad completa). Si no está establecido y no se usa la opción -b, se usará la opacidad indicada en el diálogo Propiedades del documento (almacenada en el atributo inkscape:pageopacity= attribute de sodipodi:namedview). Si no está establecido pero se usa la opción -b, se usará el valor 255 (opacidad completa).

-I, --query-id=ID-OBJETO[,ID-OBJETO]*
    Establece los IDs de los objetos cuyas dimensiones se están consultando. Si no se establece, las opciones de consulta devolverán la dimensiones del dibujo (es decir, todos los objetos del documento), no la página o la caja de visualización.

    Si especifica muchos valores con una lista de objetos separados por comas, cualquier consulta de geometría (por ejemplo, --query-x) devolverá una lista de valores separados por comas correspondiente a la lista de objetos en --query-id.

-S, --query-all
    Muestra un listado separado por comas de todos los objetos en el documento SVG que tienen un ID definido, junto son sus valores x, y, anchura y altura.

-X, --query-x
    Consulta la coordenada X del dibujo o, si se especifica, del objeto indicado con --query-id. El valor devuelto es en px (unidades de usuario SVG).

-Y, --query-y
    Consulta la coordenada Y del dibujo o, si se especifica, del objeto indicado con --query-id. El valor devuelto es en px (unidades de usuario SVG).

-W, --query-width
    Consulta la anchura del dibujo o, si se especifica, del objeto indicado con --query-id. El valor devuelto es en px (unidades de usuario SVG).

-H, --query-height
    Consulta la altura del dibujo o, si se especifica, del objeto indicado con --query-id. El valor devuelto es en px (unidades de usuario SVG).

--vacuum-defs
    Elimina todos los elementos sin utilizar de la sección "<defs>" del archivo SVG. Si esta opción se utiliza junto con --export-plain-svg, solamente afectará al archivo exportado. Si se utiliza sola, se modificará el archivo indicado sin crear copia.

--select=ID-OBJETO[,ID-OBJETO]*
    El comando --select seleccionará los objetos con el ID especificado. Puede seleccionar varios objetos en una lista separada por comas. Esto permite que varios verbos actúen sobre ellos. Para eliminar todas las selecciones, utilice "--verb=EditDeselect". Los ID de objeto disponibles dependen del documento especificado para cargar.

--actions=ACCION(:ARG)[;ACCION(:ARG)]*
    Las acciones son un nuevo método para llamar a funciones con un solo parámetro opcional. Para obtener una lista de los ID de acción disponibles, use la opción de línea de comandos --action-list. Eventualmente, todos los verbos serán reemplazados por acciones. Temporalmente, cualquier verbo puede usarse como acción (sin parámetro). Tenga en cuenta que la mayoría de los verbos requieren una interfaz gráfica de usuario (incluso si no la usan). Para cerrar la interfaz gráfica de usuario automáticamente al finalizar el procesamiento, use --batch-process. Además, todas las opciones de exportación tienen acciones correspondientes (elimine el "--" delante de la opción y reemplace "=" por ":").

    Si solamente se usan acciones, deberá usar --batch-process.

    La exportación se puede forzar en cualquier momento con la acción "export-do". Esto permite realizar múltiples exportaciones en un solo archivo.

--action-list
    Imprime una lista de todos las acciones disponibles.

--actions-file=NOMBRE_ARCHIVO
    Ejecuta todas las acciones del archivo. El contenido del archivo debe formatearse con la sintaxis --actions. Esta opción anula el argumento --actions cuando se proporcionan ambos.

-g, --with-gui
    Intenta utilizar la IGU (en Unix, utilice el servidor X aunque la variable $DISPLAY no esté configurada).

-q, --active-window
    En lugar de iniciar un nuevo proceso de Inkscape, esto ejecutará el comando en el documento de Inkscape enfocado más recientemente.

--display=DISPLAY
    Establece el display X que se usará para la ventana de Inkscape.

--app-id-tag=ETIQUETA
    Crea una instancia única de Inkscape con el ID de aplicación 'org.inkscape.Inkscape.ETIQUETA'. Esto resulta útil para separar las instancias de Inkscape al ejecutar diferentes versiones de Inkscape o usar diferentes archivos de preferencias simultáneamente.

--batch-process
    Cierra la interfaz gráfica después de ejecutar todas las acciones o verbos.

--shell
    Con este parámetro, Inkscape accederá a un modo de línea de comandos interactiva. En este modo, se escriben comandos en el símbolo del sistema e Inkscape los ejecuta, sin necesidad de ejecutar una nueva copia de Inkscape para cada comando. Esta función es principalmente útil para scripts y servidores: no añade nuevas funciones, pero permite mejorar la velocidad y los requisitos de memoria de cualquier script que llame repetidamente a Inkscape para realizar tareas de línea de comandos (como exportaciones o conversiones).

    En modo shell, Inkscape espera una secuencia de acciones (o verbos) como entrada. Se procesarán línea por línea, es decir, normalmente al pulsar Intro. Es posible (aunque no necesario) colocar todas las acciones en una sola línea.

    Esta opción se puede combinar con el parámetro --active-window, para ejecutar los comandos de shell en un documento de Inkscape ya abierto.

    El siguiente ejemplo abre un archivo y lo exporta en dos formatos diferentes, luego abre otro archivo y exporta un solo objeto:

        file-open:documento1.svg; export-type:pdf; export-do; export-type:png; export-do
        file-open:documento2.svg; export-id:rect2; export-id-only; export-filename:rect_only.svg; export-do

CONFIGURACIÓN
El archivo de configuración principal se encuentra en ~/.config/inkscape/preferences.xml. Almacena variedad de ajustes de personalización que puede cambiar en Inkscape (principalmente en el diálogo de Preferencias). También puede colocar sus propios:

$HOME/.config/inkscape/extensions/ - efectos de extensión.

$HOME/.config/inkscape/fonts/ - fuentes tipográficas.

$HOME/.config/inkscape/icons/ - conjuntos de iconos.

$HOME/.config/inkscape/keys/ - mapas de teclado.

$HOME/.config/inkscape/paint/ - patrones y tramas.

$HOME/.config/inkscape/palettes/ - paletas de colores.

$HOME/.config/inkscape/symbols/ - archivos de símbolos.

$HOME/.config/inkscape/templates/ - plantillas para documentos nuevos.

$HOME/.config/inkscape/ui/ - archivos de interfaz gráfica.

DIAGNÓSTICOS
El programa devuelve cero en caso de éxito o valores distintos de cero al fallar.

Hay una gran variedad de mensajes de error y advertencias que se pueden enviar a STDERR o STDOUT. Si el programa se comporta de forma errática con un archivo SVG en concreto, o se detiene abruptamente, será útil echar un vistazo a la salida para encontrar pistas.

EJEMPLOS
Aunque el uso de Inkscape es obviamente como una aplicación con IGU, también se puede utilizar para realizar procesamiento de archivos SVG desde la línea de comandos.

Abrir un archivo SVG en la IGU:

    inkscape documento.svg

Exporta un archivo SVG en formato PNG con la resolución predeterminada de 96 ppp (una unidad de usuario SVG se traduce en un píxel de mapa de bits):

    inkscape --export-filename=nombre_imagen.png nombre_documento.svg

Lo mismo, pero fuerza a que el archivo PNG sea de 600x400 píxeles:

    inkscape documento.svg --export-png=documento.png -w600 -h400

Lo mismo pero exporta el dibujo (caja de contorno de todos los objetos), no la página:

    inkscape --export-filename=nombre_imagen.png --export-area-drawing nombre_documento.svg

Exporta dos archivos diferented en cuatro formatos distinto cada uno:

    inkscape --export-type=png,ps,eps,pdf nombre_archivo1.svg nombre_archivo2.svg

Exporta a PNG el objeto con id="texto1555" utilizando el nombre de archivo de salida y la resolución utilizados para ese objeto la última vez que fue exportado desde la IGU:

    inkscape documento.svg --export-id=texto1555 --export-use-hints

Lo mismo, pero utiliza la resolución predeterminada de 96 ppp, indica el nombre de archivo, y ajusta el área de exportación hacia afuera hasta la unidad de usuario SVG entera más cercana (para conservar la alineación al píxel de los objetos y, así, minimizar al antialias):

    inkscape --export-id=text1555 --export-filename=texto.png --export-area-snap nombre_documento.svg

Convierte un documento de SVG de Inkscape a SVG simple:

    inkscape --export-plain-svg --export-filename=nombre_archivo2.svg nombre_archivo1.svg

Convierte un documento SVG en EPS, convirtiendo todos los textos en trayectos:

    inkscape documento.svg --export-eps=documento.eps --export-text-to-path

Consulta la anchura del objeto con id="texto1555":

    inkscape documento.svg --query-width --query-id text01555

Duplicar los objetos con id="trayecto1555" e id="rect835", girar los duplicados 90 grados, guarda el SVG y terminar:

    inkscape documento.svg --select=trayecto1555 --verb=EditDuplicate --verb=ObjectRotate90 --verb=FileSave --verb=FileClose

Seleccionar todos los objetos con etiqueta de elipse, girarlos 30 grados, guardar el archivo y terminar.

    inkscape --actions="select-by-element:ellipse;transform-rotate:30" --export-overwrite documento.svg

Exporta el objeto con el ID MyTriangle con un fondo violeta semitransparente al archivo triangle_purple.png y con un fondo rojo al archivo triangle_red.png.

    inkscape --actions="export-id:MyTriangle; export-id-only; export-background:purple; export-background-opacity:0.5;export-filename:triangle_purple.png; export-do; export-background:red; export-background-opacity:1; export-filename:triangle_red.png; export-do" filename.svg

Leer un SVG desde la entrada estándar (stdin) y exportarlo al formato PDF:

    cat documento.svg | inkscape --pipe --export-filename=documento.pdf

Exporta un SVG a PNG y lo escribe en la salida estándar (stdout), luego lo convierte a formato JPG con el programa de "convert" de ImageMagick:

    inkscape --export-type=png --export-filename=- documento.svg | convert - documento.jpg

Igual que el anterior, pero también leyendo desde un "pipe" (--export-filename se puede omitir en este caso)

    cat documento.svg | inkscape --pipe --export-type=png | convert - documento.jpg

VARIABLES DE ENTORNO

INKSCAPE_PROFILE_DIR
    Fija una localización personalizada para el directorio del perfil del usuario.

INKSCAPE_DATADIR
    Fija una localización personalizada para el directorio de datos de Inkscape (p.ej. $PREFIJO/share si los archivos compartidos de Inkscape están en $PREFIX/share/inkscape).

INKSCAPE_LOCALEDIR
    Fija una localización personalizada para el catálogo de traducción.

Vea también <https://wiki.inkscape.org/wiki/index.php/Environment_variables> para obtener más información.

INFORMACIÓN ADICIONAL
El lugar principal donde encontrar información acerca de Inkscape es <https://www.inkscape.org/>. El sitio web contiene noticias, documentación, tutoriales, ejemplos, listas de correo, la última versión del programa, una base de datos de erratas y peticiones de mejora, foros, y más.

VEA TAMBIÉN
potrace, cairo, rsvg, batik, ghostscript, pstoedit.

Conjunto de test de conformidad SVG: <https://www.w3.org/Graphics/SVG/WG/wiki/Test_Suite_Overview>

Validador SVG: <https://validator.w3.org/>

Especificación de Gráficos Vectoriales Escalables (SVG) 1.1 Recomendación de W3C de 16 de agosto de 2011 <https://www.w3.org/TR/SVG11/>

Especificación de Gráficos Vectoriales Escalables (SVG) 1.1 Recomendación de W3C de 16 de agosto de 2011 <https://www.w3.org/TR/SVG11/>

Especificación de Gráficos Vectoriales Escalables (SVG) 2 Candidata a recomendación de W3C 15 de septiembre de 2016 <https://www.w3.org/TR/SVG2/>

Modelo de Objeto de Documento (DOM): Nivel nuclear 2 Recomendación de W3C 13 de Noviembre de 2000 <https://www.w3.org/TR/DOM-Level-2-Core/>

NOTAS DE LA IGU
Lea los tutoriales en Ayuda > Tutoriales para aprender cómo utilizar Inkscape.

Además de SVG, Inkscape puede importar (Archivo > Importar) la mayoría de los formatos de mapas de bits (PNG, BMP, JPG, XPM, GIF, etc.), texto sencillo (necesita Perl), PS y EPS (necesita GhostScript), PDF y formato AI (AI versión 9.0 o posterior).

Inkscape exporta imágenes PNG de 32 bits (Archivo > Exportar imagen PNG) además de AI, PS, EPS, PDF, DXF y varios otros formatos mediante Archivo > Guardar como.

Inkscape puede utilizar la presión y el ángulo de la pluma de una tableta gráfica para influenciar la anchura, ángulo y fuerza de acción de varias herramientas, incluso de la pluma caligráfica.

Inkscape incluye una interfaz gráfica para el motor de trazado de mapas de bits Potrace (<http://potrace.sf.net>), que está incrustado en Inkscape.

Inkscape puede utilizar scripts externos (filtros stdin-a-stdout) que se representan por comandos en el menú Extensiones. Un script puede tener un diálogo gráfico para ajustar sus parámetros y puede obtener los IDs de los objetos seleccionados sobre los cuales actuar a través de la línea de comandos. Inkscape incluye un amplio surtido de efectos programados en Python.

COMBINACIONES DE TECLADO
Puede obtener un listado completo de atajos de teclado y ratón en doc/keys.html, o utilice el comando Teclado y Ratón en el menú Ayuda.

ERRATAS
Hay muchas erratas conocidas, consulte el sitio web (<https://www.inkscape.org/>) para revisar aquellas de las que ya se ha dado parte y para informar de nuevos asuntos que encuentre. Vea también la sección Asuntos Conocidos en las Notas de Publicación de su versión (archivo "NEWS").

HISTORIA
El código fuente inicial de lo que se convertiría en Inkscape comenzó su vida en 1999 como el programa Gill, la aplicación GNOME Illustrator, creada por Raph Levien. El objetivo de Gill era, eventualmente, representar todo SVG. Raph implementó el modelo de imágenes bezier de PostScript, incluyendo el trazado y relleno, estilos de final de línea, de unión de línea, texto, etc. La página de Raph acerca de Gill es <http://www.levien.com/svg/>. El trabajo en Gill se ralentizó y cesó en el año 2000.

La siguiente encarnación del código fuente se convirtió en el programa muy popular Sodipodi, dirigido por Lauris Kaplinski. Se convirtió en un programa de ilustración muy potente a lo largo de varios años de trabajo, durante los cuales se añadieron varias características nuevas, soporte mulitlíngüe, una versión para Windows y otros sistemas operativos, y la eliminación de dependencias.

En 2003 cuatro desarrolladores activos de Sodipodi, Bryce Harrington, MenTaLguY, Nathan Hurst y Ted Gould, formaron Inkscape con la intención de tomar una dirección distinta con el código en cuanto al enfoque en la conformidad con SVG, el aspecto de al interfaz, y el deseo de abrir las oportunidades de desarrollo a más participantes. El proyecto progresó rápidamente, ganando un número importante de contribuidores muy activos y nuevas características.

Gran parte del trabajo en los primeros días del proyecto estaba enfocado en la estabilización e internacionalización del código. El renderizador original, heredado de Sodipodi, estaba lleno de casos extremos matemáticos que llevaban a bloqueos inesperados cuando se realizaban operaciones fuera del uso rutinario. Este renderizador se reemplazó por Livarot que, aunque tampoco era perfecto, era significativamente menos dado a errores. El proyecto también adoptó la práctica de publicar código con frecuencia, y animar a los usuarios a ejecutar versiones de desarrollo del programa. Esto ayudó a identificar rápidamente nuevas erratas y asegurar que fuera sencillo para los usuarios verificar los arreglos. Como resultado, las versiones publicadas de Inkscape se han ganado la reputación de ser robustas y fiables.

De forma similar, los esfuerzos hechos para internacionalizar y "localizar" al interfaz, han ayudado a que el programa haya ganado usuarios en todo el mundo.

Inkscape ha tenido un impacto beneficioso en la atracción visual del Código Abierto en general, al proporcionar una herramienta para crear y compartir iconos, pantallas de inicio, arte para páginas web, etc. En cierto modo, a pesar de ser "solamente un programa de dibujo, Inkscape ha jugado un papel importante en hacer que el Software de Código Abierto sea más estimulante visualmente para audiencias más grandes.

AUTORES
Este código debe su existencia a un gran grupo de contribuidores a lo largo de sus varias encarnaciones. La siguiente lista es indudablemente incompleta, pero sirve para reconocer a los múltiples hombros sobre los que descansa esta aplicación:

Maximilian Albert, Joshua A. Andler, Tavmjong Bah, Pierre Barbry-Blot, Jean-François Barraud, Campbell Barton, Bill Baxter, John Beard, John Bintz, Arpad Biro, Nicholas Bishop, Joshua L. Blocher, Hanno Böck, Tomasz Boczkowski, Adrian Boguszewski, Henrik Bohre, Boldewyn, Daniel Boles, Daniel Borgmann, Bastien Bouclet, Hans Breuer, Gustav Broberg, Christopher Brown, Marcus Brubaker, Luca Bruno, Brynn, Nicu Buculei, Bulia Byak, Pierre Caclin, Ian Caldwell, Gail Carmichael, Ed Catmur, Chema Celorio, Jabiertxo Arraiza Cenoz, Johan Ceuppens, Zbigniew Chyla, Alexander Clausen, John Cliff, Kees Cook, Ben Cromwell, Jon Cruz, Aurélie De-Cooman, Kris De Gussem, Milosz Derezynski, Daniel Díaz, Bruno Dilly, Larry Doolittle, Nicolas Dufour, Tim Dwyer, Maxim V. Dziumanenko, Moritz Eberl, Johan Engelen, Miklos Erdelyi, Ulf Erikson, Noé Falzon, Sebastian Faubel, Frank Felfe, Andrew Fitzsimon, Edward Flick, Marcin Floryan, Fred, Ben Fowler, Cedric Gemy, Steren Giannini, Olivier Gondouin, Ted Gould, Toine de Greef, Michael Grosberg, Bryce Harrington, Dale Harvey, Aurélio Adnauer Heckert, René de Hesselle, Carl Hetherington, Jos Hirth, Hannes Hochreiner, Thomas Holder, Joel Holdsworth, Christoffer Holmstedt, Alan Horkan, Karl Ove Hufthammer, Richard Hughes, Nathan Hurst, inductiveload, Thomas Ingham, Jean-Olivier Irisson, Bob Jamison, Ted Janeczko, Marc Jeanmougin, jEsuSdA, Lauris Kaplinski, Lynn Kerby, Niko Kiirala, James Kilfiger, Nikita Kitaev, Jason Kivlighn, Adrian Knoth, Krzysztof Kosiński, Petr Kovar, Michael Kowalski, Benoît Lavorata, Alex Leone, Julien Leray, Raph Levien, Diederik van Lierop, Nicklas Lindgren, Vitaly Lipatov, Ivan Louette, Fernando Lucchesi Bastos Jurema, Pierre-Antoine Marc, Aurel-Aimé Marmion, Colin Marquardt, Craig Marshall, Ivan Masár, Dmitry G. Mastrukov, David Mathog, Matiphas, Patrick McDermott, Michael Meeks, Federico Mena, MenTaLguY, Aubanel Monnier, Vincent Montagne, Tim Mooney, Derek P. Moore, Chris Morgan, Peter Moulder, Jörg Müller, Yukihiro Nakai, Victor Navez, Jonathan Neuhauser, Christian Neumair, Nick, Andreas Nilsson, Mitsuru Oka, Vinícius dos Santos Oliveira, Martin Owens, PBS, Alvin Penner, Matthew Petroff, Jon Phillips, Zdenko Podobny, Alexandre Prokoudine, Jean-René Reinhard, Alexey Remizov, Frederic Rodrigo, Hugo Rodrigues, Jean Franco Amoni Rodríguez, Juarez Rudsatz, Xavier Conde Rueda, Felipe Corrêa da Silva Sanches, Christian Schaller, Marco Scholten, Tom von Schwerdtner, Markus Schwienbacher, Danilo Šegan, Abhishek Sharma, Tim Sheridan, Shivaken, Rafał Siejakowski, Michael Sloan, John Smith, Sandra Snan, Boštjan Špetič, Aaron Spike, Kaushik Sridharan, Ralf Stephan, Dariusz Stojek, Patrick Storz, Martin Sucha, Sushant A.A., ~suv, Pat Suwalski, Adib Taraben, Parcly Taxel, Hugh Tebby, Jonas Termeau, David Turner, Andre Twupack, Aleksandar Urošević, Alex Valavanis, Joakim Verona, Lucas Vieites, Daniel Wagenaar, Liam P. White, Sebastian Wüst, Michael Wybrow, Gellule Xg, Daniel Yacob, Masatake Yamato, David Yip, Wen-Wei Kao

DERECHOS DE AUTOR Y LICENCIA
Copyright (C) 1999-2020 por Autores.

Inkscape es software libre, lo puede redistribuir y modificar bajo los términos de la GPL versión 2 o posterior.